Subject: Re: [PATCH 01/31] gnu: update rust-anyhow to 1.0.53.

From: Nicolas Graves <[email-masked]>
Date: Wed, 16 Feb 2022 09:08:33 +0100

Maxime Devos <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> Nicolas Graves schreef op wo 16-02-2022 om 02:08 [+0100]:
>> -     `(#:cargo-development-inputs
>> -       (("rust-futures" ,rust-futures-0.3)
>> -        ("rust-rustversion" ,rust-rustversion-1)
>> -        ("rust-thiserror" ,rust-thiserror-1)
>> -        ("rust-trybuild" ,rust-trybuild-1))))
>
> Looking at 'cargo.toml', anyhow still has these ‘development inputs’.
> What's the reason for removing them?
>
>> +      `(#:skip-build? #t
>
> This prevents doing "guix build rust-anyhow" to test if 'rust-anyhow'
> still builds.  What's the reason for this change?

When I import from guix import crate and get a skip-build, each time I
tried removing it caused the build to fail, because of nightly
features. I assumed it was the case in general, haven't tried it there.

No reason for removing cargo-develpment-inputs, I may have assumed that
skipping the build removed the need for them, but it seems not to be the
case.
>
> Greetings,
> Maxime.
>
> [[End of PGP Signed Part]]